ru.bitel.bgbilling.modules.qiwi.common.bean

## Enum TransactionStatusRest

- java.lang.Object
- - java.lang.Enum<TransactionStatusRest>
  - - ru.bitel.bgbilling.modules.qiwi.common.bean.TransactionStatusRest

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionStatusRest>, AbstractTransactionStatus

      public enum TransactionStatusRest
      extends java.lang.Enum<TransactionStatusRest>
      implements AbstractTransactionStatus

  Статус транзакции по протоколу REST.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `EXPIRED`
    `PAID`
    `REFUND_REQUEST`
    `REFUNDED`
    `REJECTED`
    `UNPAID`
    `WAITING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`
    `AbstractTransactionStatus` | `getStatusByCode(java.lang.String code)`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `toString()`
    `static TransactionStatusRest` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionStatusRest[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final TransactionStatusRest ALL

    - #### WAITING

          public static final TransactionStatusRest WAITING

    - #### PAID

          public static final TransactionStatusRest PAID

    - #### REJECTED

          public static final TransactionStatusRest REJECTED

    - #### UNPAID

          public static final TransactionStatusRest UNPAID

    - #### EXPIRED

          public static final TransactionStatusRest EXPIRED

    - #### REFUND_REQUEST

          public static final TransactionStatusRest REFUND_REQUEST

    - #### REFUNDED

          public static final TransactionStatusRest REFUNDED

  - ### Method Detail

    - #### values

          public static TransactionStatusRest[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionStatusRest c : TransactionStatusRest.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionStatusRest valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public java.lang.String getCode()

      Specified by:
        `getCode` in interface `AbstractTransactionStatus`

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `AbstractTransactionStatus`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `AbstractTransactionStatus`
      Overrides:
        `toString` in class `java.lang.Enum<TransactionStatusRest>`

    - #### getStatusByCode

          public AbstractTransactionStatus getStatusByCode(java.lang.String code)

      Specified by:
        `getStatusByCode` in interface `AbstractTransactionStatus`